Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename cross-spawn
%global enable_tests 1

Name:		nodejs-cross-spawn
Version:	5.1.0
Release:	alt1_4
Summary:	Cross platform child_process#spawn and child_process#spawnSync

License:	MIT
URL:		https://github.com/IndigoUnited/node-cross-spawn.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(expect.js)
BuildRequires:	npm(lru-cache)
BuildRequires:	npm(shebang-command)
BuildRequires:	npm(which)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(rimraf)
%endif
Source44: import.info

%description
Cross platform child_process#spawn and child_process#spawnSync


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/prepare 
NODE_ENV=test %{_bindir}/mocha -R spec -t 10000 --bail test/test
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 5.1.0-alt1_4
- new version

